aromech
Mechanical
- May 29, 2003
- 24
All I'm trying to do (as that famous line goes) is run a macro that will automatically add a custom property to a file. I'm going to be running it multiple times after I get this working. The property is LibraryChecked and the value is going to be "Yes" of type Text. Not a YesOrNo type.
Here's the code I have to start. If its confusing its because I'm confused. Can anyone help me with this?
Code:
Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object
Dim blnRetval As Boolean
Sub main()
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Part.FileSummaryInfo
'blnRetval = ModelDoc.AddCustomInfo3("", "LibraryChecked", swCustomInfoText, "Yes")
'blnRetval = Part.AddCustomInfo3("", "LibraryChecked", swCustomInfoText, "Yes")
'blnRetval = ModelDoc.Save3(swSaveAsOptions_Silent, lngErr, lngWarn)
End Sub
__________________
Jeremy (VB 6.0)
Every man dies, but not every man lives. - William Wallace
Here's the code I have to start. If its confusing its because I'm confused. Can anyone help me with this?
Code:
Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object
Dim blnRetval As Boolean
Sub main()
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Part.FileSummaryInfo
'blnRetval = ModelDoc.AddCustomInfo3("", "LibraryChecked", swCustomInfoText, "Yes")
'blnRetval = Part.AddCustomInfo3("", "LibraryChecked", swCustomInfoText, "Yes")
'blnRetval = ModelDoc.Save3(swSaveAsOptions_Silent, lngErr, lngWarn)
End Sub
__________________
Jeremy (VB 6.0)
Every man dies, but not every man lives. - William Wallace